Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601635 - while using two screens my desktops overlay after return from rotated mode
while using two screens my desktops overlay after return from rotated mode
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 07:20 EDT by Vladimir Benes
Modified: 2011-10-19 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 13:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smaller first (1.95 MB, image/png)
2010-06-08 07:24 EDT, Vladimir Benes
no flags Details
larger first (2.08 MB, image/png)
2010-06-08 07:27 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2010-06-08 07:20:16 EDT
Description of problem:
when I used one screen rotated (left/right) after rotation back to normal the desktop areas are overlayed (see pictures attached)

Version-Release number of selected component (if applicable):
control-center-2.28.1-18.el6.x86_64
xorg-x11-server-utils-7.4-15.el6.x86_64

How reproducible:


Steps to Reproduce:
1.attach two displays
2.rotate the first one left (located in gnome-display-properites on the left) if the first one has smaller dimensions you have to move them together

3.Approve the change
4.rotate the same on back to normal 
  
Actual results:
overlay

Expected results:
no overlay

Additional info:
Comment 1 Vladimir Benes 2010-06-08 07:24:07 EDT
Created attachment 422148 [details]
smaller first
Comment 2 Vladimir Benes 2010-06-08 07:27:28 EDT
Created attachment 422149 [details]
larger first
Comment 3 RHEL Product and Program Management 2010-06-08 07:33:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Ray Strode [halfline] 2010-07-14 10:40:13 EDT
I bet what's probably going on here is you're hitting a hardware limit of your video hardware.

What kind of video card?

I'm going to bounce this over to xorg-x11-server, but it may get WONTFIXed since it's a fairly hard problem to solve.
Comment 5 RHEL Product and Program Management 2010-07-15 10:58:58 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Matěj Cepl 2010-07-19 08:13:07 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Adam Jackson 2010-07-26 11:17:10 EDT
Moving to 6.1.
Comment 9 RHEL Product and Program Management 2011-01-06 23:35:25 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 10 Suzanne Yeghiayan 2011-01-07 11:22:31 EST
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.
Comment 11 RHEL Product and Program Management 2011-02-01 01:06:44 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 12 RHEL Product and Program Management 2011-02-01 13:24:16 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 13 RHEL Product and Program Management 2011-04-03 22:34:36 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 14 RHEL Product and Program Management 2011-10-07 12:18:53 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 15 Adam Jackson 2011-10-19 13:52:49 EDT
No updates since comment #4, closing.

Note You need to log in before you can comment on or make changes to this bug.